<?php
/* prevent XSS. */
$_GET   = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
$_POST  = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);

$wp_kses_allowed = array(
    //formatting
    'strong' => array(),
    'em'     => array(),
    'b'      => array(),
    'i'      => array(),
    'div'	=> array(
    	'class'	=> array(),
    ),
    'p'		=> array(),

    //links
    'a'     => array(
        'href' => array(),
        'target' => array(),
        'class' => array(),
        'id'	=> array(),
    )
);
?>

<div class="pvfwelementor-settings-section pvfwelementor-all-uploads">
	<h2><?php echo esc_html__("Plugin Updates", 'elementor-pvfw'); ?></h2>
	<p><em><?php echo sprintf( wp_kses( __( "This page provides settings for checking and receiving one click updates for Visual Composer Addon for PDF Viewer for WordPress plugin. Please note that each purchase code is valid for only <strong>ONE</strong> WordPress site. ", 'elementor-pvfw' ), $wp_kses_allowed ) ); ?></em></p>
	
	<?php

	// process post request and save settings
	if( isset( $_POST ) && ! empty( $_POST ) ){

		if( isset( $_POST['pvfwelementor_updates_action'] ) ){
			$get_pvfwelementor_updates_action 			= sanitize_text_field( $_POST['pvfwelementor_updates_action'] );
		} else {
			$pvfwelementor_updates_action 			= false;
		}

		if( $get_pvfwelementor_updates_action == "register" ){

			if( isset( $_POST['pvfwelementor_purchase_code'] ) ){
				$get_pvfwelementor_purchase_code 			= sanitize_text_field( $_POST['pvfwelementor_purchase_code'] );
			} else {
				$get_pvfwelementor_purchase_code 			= false;
			}

			if( $get_pvfwelementor_purchase_code ){
				$update_server = "https://updates.themencode.com/pvfw-elementor-addon/register-purchase.php";
        		$site_url 	   = site_url();

        		$response = wp_remote_post( $update_server, array(
				    'method'      => 'POST',
				    'timeout'     => 45,
				    'redirection' => 5,
				    'httpversion' => '1.0',
				    'blocking'    => true,
				    'headers'     => array(),
				    'body'        => array(
				        'site' => $site_url,
				        'purchase_code' => $get_pvfwelementor_purchase_code,
				    ),
				    'cookies'     => array()
				    )
				);
				 
				if ( is_wp_error( $response ) ) {
					$result_type 			= false;
				    $error_message = $response->get_error_message();
				    $display_result_message = "Something went wrong: $error_message ";
				} else {
				    if($response['response']['code'] == "200"){
				    	$decoded_resp = json_decode($response['body']);
				    	if($decoded_resp->status == "success"){
				    		update_option( 'tnc_pvfwelementor_sitekey', $decoded_resp->sitekey, $autoload = null );
				    		update_option( 'tnc_pvfwelementor_reg_domain', $decoded_resp->domain, $autoload = null );
				    		$result_type 			= true;
				    		$display_result_message = $decoded_resp->message;
				    	} else {
				    		$result_type 			= true;
				    		$display_result_message = $decoded_resp->message;
				    	}
				    } // response code 200
				} // suucessful request
			} else { // purchase code not empty
				$result_type 			= false;
				$display_result_message = __("No Purchase code was found, Please provide the purchase code and try again", 'elementor-pvfw');
			} // purchase code empty

		} elseif( $get_pvfwelementor_updates_action == "deregister" ){
			$deregister_server 	= "https://updates.themencode.com/pvfw-vc-addon/deregister-purchase.php";
			$get_site_key 		= get_option( 'tnc_pvfwelementor_sitekey' );

            $dereg_response = wp_remote_post( $deregister_server, array(
                'method'      => 'POST',
                'timeout'     => 45,
                'redirection' => 5,
                'httpversion' => '1.0',
                'blocking'    => true,
                'headers'     => array(),
                'body'        => array(
                    'site' => site_url(),
                    'sitekey' => $get_site_key
                ),
                'cookies'     => array()
                )
            );
             
            if ( is_wp_error( $dereg_response ) ) {
                $dereg_error_message = $dereg_response->get_error_message();
                $result_type 					= false;
                $display_result_message 	= "Something went wrong: $dereg_error_message ";
            } else {
                if($dereg_response['response']['code'] == "200"){
                    $decoded_dereg_resp = json_decode($dereg_response['body']);
                    if($decoded_dereg_resp->status == "success"){
                        update_option( 'tnc_pvfwelementor_sitekey', '' );
                        update_option( 'tnc_pvfwelementor_reg_domain', '' );
                        $result_type 					= true;
                		$display_result_message 	= $decoded_dereg_resp->message;
                    } else {
                        update_option( 'tnc_pvfwelementor_sitekey', '' );
                        update_option( 'tnc_pvfwelementor_reg_domain', '' );
                        $result_type 					= false;
                		$display_result_message 	= __("Successfully Deregistered", 'elementor-pvfw');
                    }
                }
            }
		} else {
			// when nothing passed for update action
			$result_type 			= false;
			$display_result_message = __("Something went wrong, Please try again.", 'elementor-pvfw');
		}
	}

	// display success message
	if( isset( $result_type ) && $result_type === true ){
		echo '<div class="notice notice-large notice-success">' . esc_html( $display_result_message, 'elementor-pvfw' ) . '</div>';
	} elseif( isset( $result_type ) && $result_type === false ){
		echo '<div class="notice notice-large notice-error">' . esc_html( $display_result_message, 'elementor-pvfw' ) . '</div>';
	}
	?>

	<?php if( ! pvfwelementor_is_site_registered() ){ ?>
	<div class="pvfwelementor-notice notice-info notice-large"><?php echo esc_html__( "Register your copy of Visual Composer Addon for PDF Viewer for WordPress using the purchase code from codecanyon to receive update notification and one click updates.", 'elementor-pvfw' ); ?></div>
	<form method="post" action="">
		<input type="hidden" name="pvfwelementor_updates_action" value="register" />
		<table class="form-table" role="presentation">
			<tr>
				<th><label for="pvfwelementor-purchase-code"><?php echo esc_html__( "Envato Purchase Code", 'elementor-pvfw' ); ?></label></th>
				<td>
					<input type="text" id="pvfwelementor-purchase-code" name="pvfwelementor_purchase_code" value="" class="pvfwelementor-input-field" placeholder="<?php echo esc_html__( 'Enter your envato purchase code', 'elementor-pvfw' ) ?>" required /> <br>
					<em>
						<?php echo sprintf( wp_kses( __("Get your purchase code from <a href='https://codecanyon.net/item/elementor-pdf-viewer-for-wordpress-addon/27575246/support/' target='_blank'>here</a>", 'elementor-pvfw') , $wp_kses_allowed ) ); ?>
					</em>
				</td>
			</tr>
		</table>

		<p class="submit">
			<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php echo esc_html__("Register Now", 'elementor-pvfw'); ?>">
		</p>
	</form>

	<?php } else { ?>
	<div class="pvfwelementor-notice notice-success notice-large"><?php echo esc_html__( "Congrats! Your site is registered to receive one click updates. Click on De-register Site button below to De-Register the site if needed.", 'elementor-pvfw' ); ?></div>
	<form method="post" action="">

		<input type="hidden" name="pvfwelementor_updates_action" value="deregister" />
		<br>
		<div class="pvfwelementor-notice notice-warning notice-large"><?php echo esc_html__( "Please be careful: Clicking on the button will deregister the site, no further confirmation will be required.", $domain = 'elementor-pvfw' ); ?></div>

		<p class="submit">
			<input type="submit" name="submit" id="submit" class="button button-warning" value="<?php echo esc_html__("De-Register for Visual Composer Addon for PDF Viewer for WordPress Plugin Updates", 'elementor-pvfw'); ?>">
		</p>
	</form>

	<?php } ?>
</div>